Package skyview.request

# Class Detainter

java.lang.Object
skyview.request.Detainter

Direct Known Subclasses:
  `SkyViewDetainter`

public abstract class Detainter extends Object

## Constructor Summary

Constructors
Constructor
Description
`Detainter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPattern(String name, Pattern pattern)`
`Pattern`
`getPattern(String name)`
`abstract boolean`
`validate(String name, String input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Detainter

public Detainter()

## Method Details

### getPattern

public Pattern getPattern(String name) throws Exception

Throws:
  `Exception`

### addPattern

public void addPattern(String name, Pattern pattern)

### validate

public abstract boolean validate(String name, String input) throws Exception

Throws:
  `Exception`